From 8176e6f91abd8809e79e1c8e9335522031da2755 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Fri, 23 Feb 2024 16:10:57 +0100
Subject: [PATCH] Add more RangeTblEntry fields to jumble

---
 src/backend/nodes/queryjumblefuncs.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/backend/nodes/queryjumblefuncs.c b/src/backend/nodes/queryjumblefuncs.c
index 82f725baaa5..3b0012a720d 100644
--- a/src/backend/nodes/queryjumblefuncs.c
+++ b/src/backend/nodes/queryjumblefuncs.c
@@ -372,9 +372,11 @@ _jumbleRangeTblEntry(JumbleState *jstate, Node *node)
 			break;
 		case RTE_JOIN:
 			JUMBLE_FIELD(jointype);
+			JUMBLE_NODE(join_using_alias);
 			break;
 		case RTE_FUNCTION:
 			JUMBLE_NODE(functions);
+			JUMBLE_FIELD(funcordinality);
 			break;
 		case RTE_TABLEFUNC:
 			JUMBLE_NODE(tablefunc);
@@ -400,4 +402,6 @@ _jumbleRangeTblEntry(JumbleState *jstate, Node *node)
 			elog(ERROR, "unrecognized RTE kind: %d", (int) expr->rtekind);
 			break;
 	}
+	JUMBLE_NODE(alias);
+	JUMBLE_FIELD(lateral);
 }
-- 
2.43.2

